Quantum services should be respawned by upstart if necessary

Bug #1170393 reported by Simon Pasquier on 2013-04-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron (Ubuntu)
Medium
James Page
Saucy
Medium
James Page
quantum (Ubuntu)
Undecided
James Page
Saucy
Medium
James Page

Bug Description

When the Quantum OVS agent exits unexpectedly, upstart doesn't restart it.

$ status quantum-plugin-openvswitch-agent
quantum-plugin-openvswitch-agent start/running, process 6426
$ kill 6426
$ status quantum-plugin-openvswitch-agent
quantum-plugin-openvswitch-agent stop/waiting

Adding a respawn stanza to the upstart job solves the issue. The same problem exists for all Quantum services.

Related branches

James Page (james-page) on 2013-04-22
Changed in quantum (Ubuntu):
status: New → Won't Fix
James Page (james-page) on 2013-07-02
Changed in quantum (Ubuntu Saucy):
assignee: nobody → James Page (james-page)
James Page (james-page) on 2013-08-09
Changed in quantum (Ubuntu Saucy):
status: Triaged → In Progress
status: In Progress → Invalid
Changed in neutron (Ubuntu Saucy):
assignee: nobody → James Page (james-page)
status: New → In Progress
importance: Undecided → Medium
James Page (james-page) on 2013-08-09
Changed in neutron (Ubuntu Saucy):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2013.2~b3-0ubuntu6

---------------
neutron (1:2013.2~b3-0ubuntu6) saucy; urgency=low

  * debian/rules: Dont ftbfs the tests if they fail.
 -- Chuck Short <email address hidden> Tue, 10 Sep 2013 20:37:18 -0400

Changed in neutron (Ubuntu Saucy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers